local mod = ...



-- Asset  -------------------------------------------------------------------------------------
mod:registerAssetId("models/Authority2.fbx/Prefab/Blank", "PREFAB_AUTHORITY_BLANK")



-- Resource Type  -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_AUTHORITY" )



-- Resource: Authority -------------------------------------------------------------------------------------
mod:registerAssetId("icons/Authority.png", "ICON_AUTHORITY")

mod:register({
	DataType = "RESOURCE",
	Id = "RESOURCE_AUTHORITY",
	ResourceName = "RESOURCE_AUTHORITY_NAME",
	Icon = "ICON_AUTHORITY",
	ResourceTypeList = { "RESOURCE_TYPE_AUTHORITY" },
	IsTradable = false,
    DisplayInInventory = false,
	DisplayInToolbar = true,
	OrderId = 0
})



-- -- Starting Balance (OVERRIDE) -------------------------------------------------------------------------------------
-- mod:override({
-- 	Id = "DEFAULT_VILLAGE_CENTER_INVENTORY",
-- 	Collection = {
-- 		Action = "APPEND",
--         {Resource = "RESOURCE_AUTHORITY", Quantity = 20},
--     }
-- })



-- Territory Purchase (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
    Id = "DEFAULT_BALANCING",
    TerritoryPrice = {
		{
			Resource = "RESOURCE_AUTHORITY",
			Quantity = 50
		}
	}
})



-- Promotion (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
    Id = "GAME_RULE_STATUS_PROMOTION_DEFAULT",
    StatusCostList = {
		{
			Status = "SERF",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 2
				},
			}
		},
		{
			Status = "COMMONER",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 5
				},
			}
		},
		{
			Status = "CITIZEN",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 20
				},
			}
		},
		{
			Status = "MONK_PRIOR",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 20
				},
			}
		},
		{
			Status = "SOLDIER_SOLDIER",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 5
				},
			}
		},
		{
			Status = "SOLDIER_KNIGHT",
			Cost = {
				{
					Resource = "RESOURCE_AUTHORITY",
					Quantity = 20
				},
			}
		},
	}
})
